##                          ##
##         BlueMap          ##
##      Plugin-Config       ##
##                          ##

# If the server should send player-positions to the webapp.
# This only works if the integrated webserver is enabled.
# Default is true
live-player-markers: false

# A list of gamemodes that will prevent a player from appearing on the map.
# Possible values are: survival, creative, spectator, adventure
hidden-game-modes: [
	"spectator"
]

# If this is true, players that are vanished (by a plugin) will be hidden on the map.
# (This only works with Spigot and Sponge based vanish-plugins)
# Default is true
hide-vanished: true

# If this is true, players that have an invisibility (potion-)effect will be hidden on the map.
# Default is true
hide-invisible: true

# If this is true, players that are sneaking will be hidden on the map.
# Default is false
hide-sneaking: false

# Hides the player if they are in a sky or block-light level below the given number.
# BOTH values have to be below the threshold for the player to be hidden!
# E.g. if you set both to 1, then the player will be hidden on the map if they are in absolute darkness
# Or, if you want players only be visible on the surface you set the sky-threshold to something between 1 and 15
# and the block-threshold to 16
# Default is 0 (don't hide the player)
hide-below-sky-light: 0
hide-below-block-light: 0

# If this is true, players that are on a different world than the viewed map will not appear on the player-list.
# Default is false
hide-different-world: false

# The interval in seconds that the markers will be written to the map-storage.
# This is useful if you can't create a live-connection between the server and the webapp
# and the markers can only be updated via the map-storage.
# 0 or lower means that the markers will never be written to the map-storage.
# Default is 0
#write-markers-interval: 10

# The interval in seconds that the players will be written to the map-storage.
# This is useful if you can't create a live-connection between the server and the webapp
# and the players can only be updated via the map-storage.
# 0 or lower means that the players will never be written to the map-storage.
# Default is 0
#write-players-interval: 3

# Download the skin from mojang-servers when a player joins your server, so it can be used for the player-markers.
# Default is true
skin-download: false

# The amount of players that is needed to pause BlueMap's render-threads.
# -> If this amount of players or more is online, bluemap will stop rendering map-updates until enough players
#    have logged off again
# Setting this to 0 or -1 will disable this feature -> bluemap will not pause rendering
# Default is -1
player-render-limit: -1

# The interval in minutes in which a full map-update will be triggered.
# This is ADDITIONALLY to the normal map-update process (in case that fails to detect any file-changes).
# ! This DOESN'T re-render the entire map each time, it only checks if there are some changes that have not been rendered yet!
# Default is 1440 (24 hours)
full-update-interval: 1440
